---
title: "Reports"
description: "Report retrieval, text, audio, signals, and ontology graphs"
canonical: https://y2.dev/docs/api/reference/reports/
---

Endpoint Reference

# Reports

Report retrieval, text, audio, signals, and ontology graphs

[GET /reports](https://y2.dev/docs/api/reference/reports/listReports): List intelligence reports

[GET /reports/{reportId}](https://y2.dev/docs/api/reference/reports/getReport): Get a report

[GET /reports/{reportId}/signals](https://y2.dev/docs/api/reference/reports/getReportSignals): Get report emergent signals

[GET /reports/{reportId}/graph](https://y2.dev/docs/api/reference/reports/getReportGraph): Get report ontology graph

[GET /reports/{reportId}/audio](https://y2.dev/docs/api/reference/reports/getReportAudio): Get report audio

[GET /reports/{reportId}/text](https://y2.dev/docs/api/reference/reports/getReportText): Get report as plain text

[GET /reports/{reportId}/audio-text](https://y2.dev/docs/api/reference/reports/getReportAudioText): Get TTS-preprocessed report text
